<div class="modal fade" id="settlement-concept-matching-result-{{ matchingResult.getId() }}" tabindex="-1" role="dialog" aria-labelledby="matchingResult{{ matchingResult.getId() }}" aria-hidden="true">
    <div class="modal-dialog modal-lg" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="matchingResult{{ matchingResult.getId() }}">Scoring Ansiedlungskonzept | Referenz-Nummer &raquo;{{ matchingResult.getSettlementConcept.getExternalReferenceNumber() }}&laquo;</h5>
                <button type="button" class="btn-close" data-coreui-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
                <p class="fs-5">Erfüllte Muss-Kriterien:</p>
                {% set eliminationCriterias = [] %}
                {% if matchingResult.getSettlementConceptEliminationCriteria().getLocationCategories().isSet() and matchingResult.getSettlementConceptEliminationCriteria().getLocationCategories().isEvaluationResult() %}
                    {% set eliminationCriterias = eliminationCriterias|merge(['Lagekategorie passend']) %}
                {% endif %}
                {% if matchingResult.getSettlementConceptEliminationCriteria().getIndustryClassification().isSet() and matchingResult.getSettlementConceptEliminationCriteria().getIndustryClassification().isEvaluationResult() %}
                    {% set eliminationCriterias = eliminationCriterias|merge(['mögliche Nutzung']) %}
                {% endif %}
                {% if matchingResult.getSettlementConceptEliminationCriteria().getPropertyOfferTypes().isSet() and matchingResult.getSettlementConceptEliminationCriteria().getPropertyOfferTypes().isEvaluationResult() %}
                    {% set eliminationCriterias = eliminationCriterias|merge(['Angebotsart']) %}
                {% endif %}
                {% if matchingResult.getSettlementConceptEliminationCriteria().getMinSpace().isSet() and matchingResult.getSettlementConceptEliminationCriteria().getMinSpace().isEvaluationResult() %}
                    {% set eliminationCriterias = eliminationCriterias|merge(['Mindestfläche']) %}
                {% endif %}
                {% if matchingResult.getSettlementConceptEliminationCriteria().getMaxSpace().isSet() and matchingResult.getSettlementConceptEliminationCriteria().getMaxSpace().isEvaluationResult() %}
                    {% set eliminationCriterias = eliminationCriterias|merge(['Maximalfläche']) %}
                {% endif %}
                {% if matchingResult.getSettlementConceptEliminationCriteria().getOutdoorSpaceRequired().isSet() and matchingResult.getSettlementConceptEliminationCriteria().getOutdoorSpaceRequired().isEvaluationResult() %}
                    {% set eliminationCriterias = eliminationCriterias|merge(['Außenverkaufsfläche vorhanden']) %}
                {% endif %}
                {% if matchingResult.getSettlementConceptEliminationCriteria().getGroundLevelSalesAreaRequired().isSet() and matchingResult.getSettlementConceptEliminationCriteria().getGroundLevelSalesAreaRequired().isEvaluationResult() %}
                    {% set eliminationCriterias = eliminationCriterias|merge(['ebenerdige Verkaufsfläche vorhanden']) %}
                {% endif %}
                {% if matchingResult.getSettlementConceptEliminationCriteria().getParkingLotsRequired().isSet() and matchingResult.getSettlementConceptEliminationCriteria().getParkingLotsRequired().isEvaluationResult() %}
                    {% set eliminationCriterias = eliminationCriterias|merge(['Parkplätze vorhanden']) %}
                {% endif %}
                {% if matchingResult.getSettlementConceptEliminationCriteria().getBarrierFreeAccessRequired().isSet() and matchingResult.getSettlementConceptEliminationCriteria().getBarrierFreeAccessRequired().isEvaluationResult() %}
                    {% set eliminationCriterias = eliminationCriterias|merge(['barrierefreier Zugang vorhanden oder möglich']) %}
                {% endif %}
                <p>
                    {{ eliminationCriterias|join(', ')}}
                </p>
                {% if matchingResult.getPossibleMaxScore() != null and matchingResult.getPossibleMaxScore() != 0 %}
                    {% set scorePercent = matchingResult.getScore() / matchingResult.getPossibleMaxScore() * 100 %}
                {% else %}
                {% set scorePercent = matchingResult.getScore() %}
                {% endif %}
                <p class="fs-5 mb-2">Matching-Score:</p>
                <p class="fs-5 text-secondary"><strong>{{ scorePercent|number_format(0,',','.') }}%</strong><sup>*</sup></p>
                {% if matchingResult.getPossibleMaxScore() != null and matchingResult.getPossibleMaxScore() != 0 %}
                    <div class="mdc-data-table w-100 mb-3">
                        <div class="mdc-data-table__table-container">
                            <table class="mdc-data-table__table" aria-label="ScorePoints">
                                <thead>
                                <tr class="mdc-data-table__header-row">
                                    <th class="mdc-data-table__header-cell" role="columnheader" scope="col">Kriterium</th>
                                    <th class="mdc-data-table__header-cell" role="columnheader" scope="col">max. Punkte</th>
                                    <th class="mdc-data-table__header-cell" role="columnheader" scope="col">erreichte Punkte</th>
                                </tr>
                                </thead>
                                <tbody class="mdc-data-table__content">
                                    <tr class="mdc-data-table__row">
                                        <td class="mdc-data-table__cell{% if matchingResult.getSettlementConceptScoreCriteria().getRetailSpace().isSet() == false %} text-disabled{% endif %}">Verkaufsfläche</td>
                                        <td class="mdc-data-table__cell{% if matchingResult.getSettlementConceptScoreCriteria().getRetailSpace().isSet() == false %} text-disabled{% endif %}">{{ matchingResult.getSettlementConceptScoreCriteria().getRetailSpace().getMaxPoints() }}</td>
                                        <td class="mdc-data-table__cell{% if matchingResult.getSettlementConceptScoreCriteria().getRetailSpace().isSet() == false %} text-disabled{% endif %}">{% if matchingResult.getSettlementConceptScoreCriteria.getRetailSpace.isEvaluationResult() %}{{ matchingResult.getSettlementConceptScoreCriteria().getRetailSpace().getPoints() }}{% else %}0{% endif %}</td>
                                    </tr>
                                    <tr class="mdc-data-table__row">
                                        <td class="mdc-data-table__cell{% if matchingResult.getSettlementConceptScoreCriteria().getSecondarySpace().isSet() == false %} text-disabled{% endif %}">Nebenfläche</td>
                                        <td class="mdc-data-table__cell{% if matchingResult.getSettlementConceptScoreCriteria().getSecondarySpace().isSet() == false %} text-disabled{% endif %}">{{ matchingResult.getSettlementConceptScoreCriteria().getSecondarySpace().getMaxPoints() }}</td>
                                        <td class="mdc-data-table__cell{% if matchingResult.getSettlementConceptScoreCriteria().getSecondarySpace().isSet() == false %} text-disabled{% endif %}">{% if matchingResult.getSettlementConceptScoreCriteria.getSecondarySpace.isEvaluationResult() %}{{ matchingResult.getSettlementConceptScoreCriteria().getSecondarySpace().getPoints() }}{% else %}0{% endif %}</td>
                                    </tr>
                                    <tr class="mdc-data-table__row">
                                        <td class="mdc-data-table__cell{% if matchingResult.getSettlementConceptScoreCriteria().getOutdoorSalesArea().isSet() == false %} text-disabled{% endif %}">Außenverkaufsfläche</td>
                                        <td class="mdc-data-table__cell{% if matchingResult.getSettlementConceptScoreCriteria().getOutdoorSalesArea().isSet() == false %} text-disabled{% endif %}">{{ matchingResult.getSettlementConceptScoreCriteria().getOutdoorSalesArea().getMaxPoints() }}</td>
                                        <td class="mdc-data-table__cell{% if matchingResult.getSettlementConceptScoreCriteria().getOutdoorSalesArea().isSet() == false %} text-disabled{% endif %}">{% if matchingResult.getSettlementConceptScoreCriteria.getOutdoorSalesArea.isEvaluationResult() %}{{ matchingResult.getSettlementConceptScoreCriteria().getOutdoorSalesArea().getPoints() }}{% else %}0{% endif %}</td>
                                    </tr>
                                    <tr class="mdc-data-table__row">
                                        <td class="mdc-data-table__cell{% if matchingResult.getSettlementConceptScoreCriteria().getStoreWidth().isSet() == false %} text-disabled{% endif %}">Ladenbreite</td>
                                        <td class="mdc-data-table__cell{% if matchingResult.getSettlementConceptScoreCriteria().getStoreWidth().isSet() == false %} text-disabled{% endif %}">{{ matchingResult.getSettlementConceptScoreCriteria().getStoreWidth().getMaxPoints() }}</td>
                                        <td class="mdc-data-table__cell{% if matchingResult.getSettlementConceptScoreCriteria().getStoreWidth().isSet() == false %} text-disabled{% endif %}">{% if matchingResult.getSettlementConceptScoreCriteria.getStoreWidth.isEvaluationResult() %}{{ matchingResult.getSettlementConceptScoreCriteria().getStoreWidth().getPoints() }}{% else %}0{% endif %}</td>
                                    </tr>
                                    <tr class="mdc-data-table__row">
                                        <td class="mdc-data-table__cell{% if matchingResult.getSettlementConceptScoreCriteria().getShopWindowLength().isSet() == false %} text-disabled{% endif %}">Schaufensterbreite</td>
                                        <td class="mdc-data-table__cell{% if matchingResult.getSettlementConceptScoreCriteria().getShopWindowLength().isSet() == false %} text-disabled{% endif %}">{{ matchingResult.getSettlementConceptScoreCriteria().getShopWindowLength().getMaxPoints() }}</td>
                                        <td class="mdc-data-table__cell{% if matchingResult.getSettlementConceptScoreCriteria().getShopWindowLength().isSet() == false %} text-disabled{% endif %}">{% if matchingResult.getSettlementConceptScoreCriteria.getShopWindowLength.isEvaluationResult() %}{{ matchingResult.getSettlementConceptScoreCriteria().getShopWindowLength().getPoints() }}{% else %}0{% endif %}</td>
                                    </tr>
                                    <tr class="mdc-data-table__row">
                                        <td class="mdc-data-table__cell{% if matchingResult.getSettlementConceptScoreCriteria().getLocationFactors().isSet() == false %} text-disabled{% endif %}">Standortfaktoren</td>
                                        <td class="mdc-data-table__cell{% if matchingResult.getSettlementConceptScoreCriteria().getLocationFactors().isSet() == false %} text-disabled{% endif %}">{{ matchingResult.getSettlementConceptScoreCriteria().getLocationFactors().getMaxPoints() }}</td>
                                        <td class="mdc-data-table__cell{% if matchingResult.getSettlementConceptScoreCriteria().getLocationFactors().isSet() == false %} text-disabled{% endif %}">{% if matchingResult.getSettlementConceptScoreCriteria.getLocationFactors.isEvaluationResult() and matchingResult.getSettlementConceptScoreCriteria().getLocationFactors().getPoints() - matchingResult.getSettlementConceptScoreCriteria().getLocationFactors().getPointPenalty() > 0 %}{{ matchingResult.getSettlementConceptScoreCriteria().getLocationFactors().getPoints() - matchingResult.getSettlementConceptScoreCriteria().getLocationFactors().getPointPenalty() }}{% else %}0{% endif %}</td>
                                    </tr>
                                    <tr class="mdc-data-table__row">
                                        <td class="mdc-data-table__cell fw-bold text-secondary">Gesamtpunktzahl</td>
                                        <td class="mdc-data-table__cell fw-bold text-secondary">{{ matchingResult.getPossibleMaxScore() }}</td>
                                        <td class="mdc-data-table__cell fw-bold text-secondary">{{ matchingResult.getScore() }}</td>
                                    </tr>
                                </tbody>
                            </table>
                        </div>
                    </div>
                    <p>
                        <small>
                            <sup>*</sup>Der Score errechnet sich aus dem Verhältnis von Punktzahl zu möglicher Gesamtpunktzahl.
                            (Hinweis: Ausgegraute Zeilen fließen nicht in die Bewertung ein, da entweder beim Objekt oder beim Konzept keine Angaben vorliegen.)
                        </small>
                    </p>
                {% endif %}
            </div>
        </div>
    </div>
</div>
